<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCyclesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	 public function up()
 	{
 		Schema::create('cycles', function(Blueprint $table)
 		{
			// 		id unico
 			$table->increments('id')->unsigned();
			// 		cuando a~nos tiene el ciclo('3')
			$table->integer('years_in_cycle');
			// 		cuando comienza el ciclo ('2019')
			$table->integer('start');
			// 		cuando termina  el ciclo ('2022')
			$table->integer('end');
 			$table->timestamps();
 		});
 	}

 	/**
 	 * Reverse the migrations.
 	 *
 	 * @return void
 	 */
 	public function down()
 	{
 		Schema::drop('cycles');
 	}

}
